Cyberduck Mountain Duck CLI

#146 closed enhancement (fixed)

Different editors for different file types

Reported by: reidab@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.5.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It would be wonderful to be able to map individual file types to separate external editors. In my case, just being able to edit css files with cssedit and everything else with bbedit would be good enough.

Change History (6)

comment:1 Changed on Jan 23, 2006 at 9:49:20 AM by dkocher

  • Priority changed from normal to low

As a workaround the context menu in the browser (right click on the file to edit) and select Edit With...

comment:2 Changed on Oct 11, 2006 at 9:16:03 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:3 Changed on Jul 16, 2007 at 12:22:59 PM by dkocher

Using System Preferences > Keyboard > Keyboard Shortcuts you may want to assign different shortcuts to the editors.

comment:4 Changed on Sep 19, 2007 at 12:21:27 PM by habam

  • Resolution wontfix deleted
  • Status changed from closed to reopened

This is my most wanted feature right now. I have basically the similar case as the original author of the feature request. I use auto insurance quotes Smultron for editing php files and CSSEdit for css (or actually I mostly use Smultron for both because of this issue). Why not use the same default editors as Mac OS, i.e. the same editor that is default when I double click on a file in Finder? Would also be nice to open and edit images from Cyberduck that way.

Last edited on Apr 19, 2011 at 2:29:14 PM by jsmith (previous) (diff)

comment:5 Changed on Sep 19, 2007 at 8:18:12 PM by dkocher

  • Milestone set to 2.9
  • Priority changed from low to normal

comment:6 Changed on Mar 17, 2008 at 3:41:18 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in r3588. If the default editor for a file is supported use it instead of the default editor configured in Cyberduck.

Note: See TracTickets for help on using tickets.
swiss made software